/*
 * tiff_exports.h - internal header with definitions of all exported functions
 *
 * Copyright (C) 2019 Thorsten Otto
 *
 * For conditions of distribution and use, see LICENSE.
 */

#ifndef LIBFUNC
#error "LIBFUNC must be defined before including this file"
#endif
#ifndef LIBFUNC2
#define LIBFUNC2(_fn, name, _nargs) LIBFUNC(_fn, name, _nargs)
#endif
			  /* Atari specific functions */
	LIBFUNC(tiff_slb_control, 2)

			  /* Functions exported in tiffio.h */
	LIBFUNC(TIFFGetVersion, 0)
	LIBFUNC(TIFFFindCODEC, 1)
	LIBFUNC(TIFFRegisterCODEC, 3)
	LIBFUNC(TIFFUnRegisterCODEC, 1)
	LIBFUNC(TIFFIsCODECConfigured, 1)
	LIBFUNC(TIFFGetConfiguredCODECs, 0)
	LIBFUNC(_TIFFmalloc, 1)
	LIBFUNC(_TIFFcalloc, 2)
	LIBFUNC(_TIFFrealloc, 2)
	LIBFUNC(_TIFFmemset, 3)
	LIBFUNC(_TIFFmemcpy, 3)
	LIBFUNC(_TIFFmemcmp, 3)
	LIBFUNC(_TIFFfree, 1)
	LIBFUNC(TIFFGetTagListCount, 1)
	LIBFUNC(TIFFGetTagListEntry, 2)
	LIBFUNC(TIFFFindField, 3)
	LIBFUNC(TIFFFieldWithTag, 2)
	LIBFUNC(TIFFFieldWithName, 2)
	LIBFUNC(TIFFFieldTag, 1)
	LIBFUNC(TIFFFieldName, 1)
	LIBFUNC(TIFFFieldDataType, 1)
	LIBFUNC(TIFFFieldPassCount, 1)
	LIBFUNC(TIFFFieldReadCount, 1)
	LIBFUNC(TIFFFieldWriteCount, 1)
	LIBFUNC(TIFFAccessTagMethods, 1)
	LIBFUNC(TIFFGetClientInfo, 2)
	LIBFUNC(TIFFSetClientInfo, 3)
	LIBFUNC(TIFFCleanup, 1)
	LIBFUNC(TIFFClose, 1)
	LIBFUNC(TIFFFlush, 1)
	LIBFUNC(TIFFFlushData, 1)
	LIBFUNC(TIFFGetField, 100)
	LIBFUNC(TIFFVGetField, 3)
	LIBFUNC(TIFFGetFieldDefaulted, 100)
	LIBFUNC(TIFFVGetFieldDefaulted, 3)
	LIBFUNC(TIFFReadDirectory, 1)
	LIBFUNC(TIFFReadCustomDirectory, 3)
	LIBFUNC(TIFFReadEXIFDirectory, 2)
	LIBFUNC(TIFFScanlineSize64, 1)
	LIBFUNC(TIFFScanlineSize, 1)
	LIBFUNC(TIFFRasterScanlineSize64, 1)
	LIBFUNC(TIFFRasterScanlineSize, 1)
	LIBFUNC(TIFFStripSize64, 1)
	LIBFUNC(TIFFStripSize, 1)
	LIBFUNC(TIFFRawStripSize64, 2)
	LIBFUNC(TIFFRawStripSize, 2)
	LIBFUNC(TIFFVStripSize64, 2)
	LIBFUNC(TIFFVStripSize, 2)
	LIBFUNC(TIFFTileRowSize64, 1)
	LIBFUNC(TIFFTileRowSize, 1)
	LIBFUNC(TIFFTileSize64, 1)
	LIBFUNC(TIFFTileSize, 1)
	LIBFUNC(TIFFVTileSize64, 2)
	LIBFUNC(TIFFVTileSize, 2)
	LIBFUNC(TIFFDefaultStripSize, 2)
	LIBFUNC(TIFFDefaultTileSize, 3)
	LIBFUNC(TIFFFileno, 1)
	LIBFUNC(TIFFSetFileno, 2)
	LIBFUNC(TIFFClientdata, 1)
	LIBFUNC(TIFFSetClientdata, 2)
	LIBFUNC(TIFFGetMode, 1)
	LIBFUNC(TIFFSetMode, 2)
	LIBFUNC(TIFFIsTiled, 1)
	LIBFUNC(TIFFIsByteSwapped, 1)
	LIBFUNC(TIFFIsUpSampled, 1)
	LIBFUNC(TIFFIsMSB2LSB, 1)
	LIBFUNC(TIFFIsBigEndian, 1)
	LIBFUNC(TIFFGetReadProc, 1)
	LIBFUNC(TIFFGetWriteProc, 1)
	LIBFUNC(TIFFGetSeekProc, 1)
	LIBFUNC(TIFFGetCloseProc, 1)
	LIBFUNC(TIFFGetSizeProc, 1)
	LIBFUNC(TIFFGetMapFileProc, 1)
	LIBFUNC(TIFFGetUnmapFileProc, 1)
	LIBFUNC(TIFFCurrentRow, 1)
	LIBFUNC(TIFFCurrentDirectory, 1)
	LIBFUNC(TIFFNumberOfDirectories, 1)
	LIBFUNC(TIFFCurrentDirOffset, 1)
	LIBFUNC(TIFFCurrentStrip, 1)
	LIBFUNC(TIFFCurrentTile, 1)
	LIBFUNC(TIFFReadBufferSetup, 3)
	LIBFUNC(TIFFWriteBufferSetup, 3)
	LIBFUNC(TIFFSetupStrips, 1)
	LIBFUNC(TIFFWriteCheck, 3)
	LIBFUNC(TIFFFreeDirectory, 1)
	LIBFUNC(TIFFCreateDirectory, 1)
	LIBFUNC(TIFFCreateCustomDirectory, 2)
	LIBFUNC(TIFFCreateEXIFDirectory, 1)
	LIBFUNC(TIFFLastDirectory, 1)
	LIBFUNC(TIFFSetDirectory, 2)
	LIBFUNC(TIFFSetSubDirectory, 3)
	LIBFUNC(TIFFUnlinkDirectory, 2)
	LIBFUNC(TIFFSetField, 100)
	LIBFUNC(TIFFVSetField, 3)
	LIBFUNC(TIFFUnsetField, 2)
	LIBFUNC(TIFFWriteDirectory, 1)
	LIBFUNC(TIFFWriteCustomDirectory, 2)
	LIBFUNC(TIFFCheckpointDirectory, 1)
	LIBFUNC(TIFFRewriteDirectory, 1)
	LIBFUNC(TIFFPrintDirectory, 3)
	LIBFUNC(TIFFReadScanline, 4)
	LIBFUNC(TIFFWriteScanline, 4)
	LIBFUNC(TIFFReadRGBAImage, 5)
	LIBFUNC(TIFFReadRGBAImageOriented, 6)
	LIBFUNC(TIFFReadRGBAStrip, 3)
	LIBFUNC(TIFFReadRGBATile, 4)
	LIBFUNC(TIFFReadRGBAStripExt, 4)
	LIBFUNC(TIFFReadRGBATileExt, 5)
	LIBFUNC(TIFFRGBAImageOK, 2)
	LIBFUNC(TIFFRGBAImageBegin, 4)
	LIBFUNC(TIFFRGBAImageGet, 4)
	LIBFUNC(TIFFRGBAImageEnd, 1)
	LIBFUNC(TIFFOpen, 2)
#ifdef __WIN32__
	LIBFUNC(TIFFOpenW, 2)
#else
	NOFUNC
#endif
	LIBFUNC(TIFFFdOpen, 3)
	LIBFUNC(TIFFClientOpen, 10)
	LIBFUNC(TIFFFileName, 1)
	LIBFUNC(TIFFSetFileName, 2)
	LIBFUNC(TIFFError, 100)
	LIBFUNC(TIFFErrorExt, 100)
	LIBFUNC(TIFFWarning, 100)
	LIBFUNC(TIFFWarningExt, 100)
	LIBFUNC(TIFFSetErrorHandler, 1)
	LIBFUNC(TIFFSetErrorHandlerExt, 1)
	LIBFUNC(TIFFSetWarningHandler, 1)
	LIBFUNC(TIFFSetWarningHandlerExt, 1)
	LIBFUNC(TIFFSetTagExtender, 1)
	LIBFUNC(TIFFComputeTile, 5)
	LIBFUNC(TIFFCheckTile, 5)
	LIBFUNC(TIFFNumberOfTiles, 1)
	LIBFUNC(TIFFReadTile, 6)
	LIBFUNC(TIFFWriteTile, 6)
	LIBFUNC(TIFFComputeStrip, 3)
	LIBFUNC(TIFFNumberOfStrips, 1)
	LIBFUNC(TIFFReadEncodedStrip, 4)
	LIBFUNC(TIFFReadRawStrip, 4)
	LIBFUNC(TIFFReadEncodedTile, 4)
	LIBFUNC(TIFFReadRawTile, 4)
	LIBFUNC(TIFFWriteEncodedStrip, 4)
	LIBFUNC(TIFFWriteRawStrip, 4)
	LIBFUNC(TIFFWriteEncodedTile, 4)
	LIBFUNC(TIFFWriteRawTile, 4)
	LIBFUNC(TIFFDataWidth, 1)
	LIBFUNC(TIFFSetWriteOffset, 2)
	LIBFUNC(TIFFSwabShort, 1)
	LIBFUNC(TIFFSwabLong, 1)
	LIBFUNC(TIFFSwabLong8, 1)
	LIBFUNC(TIFFSwabFloat, 1)
	LIBFUNC(TIFFSwabDouble, 1)
	LIBFUNC(TIFFSwabArrayOfShort, 2)
	LIBFUNC(TIFFSwabArrayOfTriples, 2)
	LIBFUNC(TIFFSwabArrayOfLong, 2)
	LIBFUNC(TIFFSwabArrayOfLong8, 2)
	LIBFUNC(TIFFSwabArrayOfFloat, 2)
	LIBFUNC(TIFFSwabArrayOfDouble, 2)
	LIBFUNC(TIFFReverseBits, 2)
	LIBFUNC(TIFFGetBitRevTable, 1)
	LIBFUNC(LogL16toY, 1)
	LIBFUNC(LogL10toY, 1)
	LIBFUNC(XYZtoRGB24, 2)
	LIBFUNC(uv_decode, 3)
	LIBFUNC(LogLuv24toXYZ, 2)
	LIBFUNC(LogLuv32toXYZ, 2)
	LIBFUNC(LogL16fromY, 3)
	LIBFUNC(LogL10fromY, 3)
	LIBFUNC(uv_encode, 3)
	LIBFUNC(LogLuv24fromXYZ, 2)
	LIBFUNC(LogLuv32fromXYZ, 2)
	LIBFUNC(TIFFCIELabToRGBInit, 3)
	LIBFUNC(TIFFCIELabToXYZ, 7)
	LIBFUNC(TIFFXYZToRGB, 7)
	LIBFUNC(TIFFYCbCrToRGBInit, 3)
	LIBFUNC(TIFFYCbCrtoRGB, 7)
	LIBFUNC(TIFFMergeFieldInfo, 3)
	/* actually private, but exported in some other environments, too */
	LIBFUNC(TIFFSetCompressionScheme, 2)
	LIBFUNC(_TIFFCheckMalloc, 4)
	LIBFUNC(_TIFFCheckRealloc, 5)
	LIBFUNC(_TIFFMultiply32, 4)
	LIBFUNC(_TIFFMultiply64, 6)
	LIBFUNC(_TIFFRewriteField, 5)
	LIBFUNC(_TIFF_uint64_to_str, 4)

#undef LIBFUNC
#undef LIBFUNC2
#undef NOFUNC
